Skip to main content

Get Player Inventory Uuid Self

GET 

/inventory/v2/player/me/inventory

Get the Inventory for the currently authenticated player.

Request

Query Parameters

    item_ids integer[]

Responses

Successful Response

Schema

    inventory

    object

    Inventory Context for a Player.

    items

    object

    Item Inventories for this Inventory.

    property name*

    ItemInventory

    Inventory of a particular Item for a Player organized by Inventory ID.

    records

    object

    Inventory Records for this Item Inventory.

    property name*

    InventoryRecord

    Inventory Record for a Player

    inventory_id uuidrequired

    Unique ID for this Inventory Record.

    type InventoryType (string)required

    Possible values: [persistent, transient, always_owned]

    Type of Inventory Record.

    legacy_inventory_id

    int64

    Legacy Inventory ID.

    anyOf

    integer

    bucket InventoryBucket (string)

    Possible values: [free, sweat, none, anon, amazon, steam, psn, xbox_live, google, twitch, nintendo_switch, apple, nintendo, epic, google_play, nintendo_ppid]

    Default value: none

    Grouping of Inventory Items. Inventory items are grouped into different buckets as each Platform that is supported has different requirements on how Inventory can be used on their Platform and other Platforms.

    count Count (integer)required

    Instance count for this Inventory Record.

    acquired date-timerequired

    When this Inventory Record was acquired.

    expires

    object

    When this Inventory Record expires.

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    custom_data

    object

    Arbitrary map of data for this Inventory Record.

    anyOf

    property name* string

    cache_info

    object

    Cache Info for this Item Inventory.

    anyOf

    Cache information for the resource it is attached to. The etag value can be used with the If-None-Match and If-Match headers

    etag Etag (string)required

    Possible values: non-empty

    cache_info

    object

    Cache Info for this Inventory.

    anyOf

    Cache information for the resource it is attached to. The etag value can be used with the If-None-Match and If-Match headers

    etag Etag (string)required

    Possible values: non-empty

Loading...